Answers when the API is up.
GET
/api/health
const url = 'https://app.jadwigo.pl/api/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.jadwigo.pl/api/healthResponses
Section titled “Responses”OK.
Media typeapplication/json
object
status
required
string
Example
{ "status": "ok"}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}